#!/usr/bin/env node
import * as program from 'commander';
import { hasTemplate } from '../config/template.config';
import listTemplates from '../lib/listTemplates';
import { create } from '../lib/create'
// 版本号
program
  .version(`${require('../../package.json').version}`)
  .name('qj-cli')
  .usage('<command> [options]');
// create command
program
    .command('create <templateName> <projectName>')
    .description('create a project from a template')
    .action((templateName: string, projectName: string, options) => {
        create(templateName, projectName, options);
    })
// ls command
program
    .command('ls')
    .description('list all templates')
    .action(cmd => {
        listTemplates();
    })
program.parse(process.argv)
