import { Templates, hasTemplate } from '../config/template.config'
import * as chalk from 'chalk'
import * as path from 'path'
import { CreateVue2 } from './create_vue2'
export async function create(templateName: string, projectName: string, options: any) {
    // 验证模板名称
    let requireMessage = [];
    if (!hasTemplate(templateName)) {
        requireMessage.push('模板名称不正确')
    }
    // 验证项目名称
    if (!projectName) {
        requireMessage.push('缺少项目名')
    }
    if (requireMessage.length) {
        console.log(chalk.red(requireMessage.join(' && ')));
        return;
    }
    // 项目目录
    const targetDir = path.join(process.cwd(), projectName);
    // 模板
    const template = Templates.find( ({ name }) => name === templateName );
    // 不同的框架模板实现各自的创建逻辑
    switch(templateName) {
        case 'vue2':
            const creator = new CreateVue2( template, projectName, targetDir);
            await creator.create(options);
        default:

    }
}
